Package org.eclipse.microprofile.rest.client.tck

# Class InvokedMethodTest

java.lang.Object
org.jboss.arquillian.testng.Arquillian
org.eclipse.microprofile.rest.client.tck.InvokedMethodTest

All Implemented Interfaces:
  `org.testng.IHookable`, `org.testng.ITestNGListener`

public class InvokedMethodTest extends org.jboss.arquillian.testng.Arquillian
This tests the `org.eclipse.microprofile.rest.client.invokedMethod` property that implementations must provide in the `ClientRequestContext` of `ClientRequestFilter`s and `ClientResponseFilter`s.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

## Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

## Constructor Summary

Constructors
Constructor
Description
`InvokedMethodTest()`

## Method Summary

Modifier and Type
Method
Description
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`createDeployment()`
`void`
`testRequestFilterReturnsMethodInvoked()`
This test checks that the Rest Client implementation provides the methodInvoked property to the `ClientRequestContext` in a `ClientRequestFilter`.

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InvokedMethodTest

public InvokedMethodTest()

## Method Details

### createDeployment

@Deployment public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

### testRequestFilterReturnsMethodInvoked

public void testRequestFilterReturnsMethodInvoked() throws Exception
This test checks that the Rest Client implementation provides the methodInvoked property to the `ClientRequestContext` in a `ClientRequestFilter`. The user's `ClientRequestFilter` should be able to read the return type, annotations, and parameters from the `Method` from that property.

Throws:
  `Exception` - - indicates test failure